DOCKER_IMAGE=us.gcr.io/celo-org/geth:mainnet
#DOCKER_IMAGE=celo-node
DOCKER_CONTAINER=celo-node
DOCKER_OPTIONS=--log-driver json-file --log-opt max-size=10m
DATA_DIR=$(PWD)/data-dir
GETH_OPTS=--networkid 42220 --maxpeers 20 --light.serve 1 --light.maxpeers 1 --nousb --rpc --rpcapi eth,net,web3,debug --rpcaddr 0.0.0.0 --ws --wsapi eth,net,web3,debug --wsaddr 0.0.0.0 --syncmode full

build:
	-git clone https://github.com/celo-org/celo-blockchain.git
	docker build -t $(DOCKER_IMAGE) celo-blockchain

init:
	-rm -rfv $(DATA_DIR)
	mkdir -p $(DATA_DIR)
	docker run --rm -it --network host --name $(DOCKER_CONTAINER) -v $(DATA_DIR):/root/.celo $(DOCKER_OPTIONS) $(DOCKER_IMAGE) --nousb init /celo/genesis.json

run:
	mkdir -p $(DATA_DIR)
	docker run --rm -it --network host --name $(DOCKER_CONTAINER) -v $(DATA_DIR):/root/.celo $(DOCKER_OPTIONS) $(DOCKER_IMAGE) $(GETH_OPTS)

up:
	mkdir -p $(DATA_DIR)
	docker run -d --restart unless-stopped --network host --name $(DOCKER_CONTAINER) -v $(DATA_DIR):/root/.celo $(DOCKER_OPTIONS) $(DOCKER_IMAGE) $(GETH_OPTS)

down:
	-docker stop $(DOCKER_CONTAINER)
	-docker rm $(DOCKER_CONTAINER)

clean:
	-rm -rfv celo-blockchain
	-docker rmi $(DOCKER_IMAGE)
